Skip to main content
POST
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

device_id
string
required

The unique identifier of the device.

Example:

"dvc_123"

Body

application/json
allow_reactivation
boolean
default:false

Whether this token can reactivate already activated devices. If false, the token is unable to activate devices which are already activated.

Example:

false

Response

200 - application/json

Successfully created the device activation token.

token
string
required

The token.

Example:

"eyJhbGciOiJ..."

expires_at
string<date-time>
required

The expiration date and time of the token.

Example:

"2025-01-01T00:00:00Z"

Last modified on May 27, 2026